curl --request POST \
--url https://api.debbiecollect.com/v1/{tenantId}/transaction-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Client account — Nordea 1234",
"referenceId": "<string>"
}
'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/transaction-accounts"
payload = {
"name": "Client account — Nordea 1234",
"referenceId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Client account — Nordea 1234', referenceId: '<string>'})
};
fetch('https://api.debbiecollect.com/v1/{tenantId}/transaction-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactionAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Client account — Nordea 1234",
"type": "BANK_ACCOUNT",
"referenceId": "<string>",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>"
}Create transaction account
Create a transaction account — a bank account or a payment service provider account that payments are registered on.
Required scope: write:transaction-accounts
Authorizations
Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.
Path Parameters
Id of the tenant
Body
Name of the transaction account
"Client account — Nordea 1234"
Whether the account is a bank account or a payment service provider account
BANK_ACCOUNT, PSP Your own id for the account. For example the account number in the law firm or ERP system.
Response
Successful operation
Id of the transaction account
Name of the transaction account
"Client account — Nordea 1234"
Whether the account is a bank account or a payment service provider account
BANK_ACCOUNT, PSP Your own id for the account. For example the account number in the law firm or ERP system.
Id of the tenant
Created at timestamp of the transaction account